Skip to main content
POST
V0 - Create/Update organization (externalId)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string
default:application/json

Standard application/json content type.

X-Findity-ApiVersion
string
default:3

Findity API version. Use 3 for the current admin API.

Path Parameters

externalId
string
required

The external source id of the organization

Body

application/json

The organization payload. When creating, className is required and must be com.findity.consumer.Company. When updating, only the fields you want to change need to be supplied.

vat
string

VAT or company registration number for the organization.

Example:

"123456-1234"

partnerCode
string

Code of the partner that should own this organization. The partner must exist in the calling client application.

Example:

"xxxx"

address
object

The organization's primary address.

className
string

Required when creating an organization, and should then always be set to com.findity.consumer.Company

Example:

"com.findity.consumer.Company"

licenses
object

License assignments to grant the organization. Array of {type, price, quantity} items.

settings
object

Organization-level settings. All fields are optional.

name
string

Display name of the organization.

Example:

"Example organization 2"

externalSourceId
string

The external identifier used to identify this specific Organization. This variable is required if you are creating or updating an Organization

Example:

"1234"

Response

200

Organization created or updated successfully. Returns the resulting organization object in the same shape as GET.

Last modified on August 31, 2026